import { get, put, post, deletes } from '@/http/index'

// 查询技术资料列表
export const getTechnicalDoc = async (data) => {
  return await get('/als/technicalDoc/list', data)
}

// 新增技术资料
export const addTechnicalDoc = async (data) => {
  return await post('/als/technicalDoc', data)
}

// 修改技术资料
export const updateTechnicalDoc = async (data) => {
  return await put('/als/technicalDoc', data)
}

// 删除技术资料
export const removeTechnicalDoc = async (id) => {
  return await deletes('/als/technicalDoc/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
